<!-- Global site tag (gtag.js) - Google AdWords: 1036809317 -->

           
<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />


<script type="text/javascript">
$(function() {
 var data = new Date();
        var dia = data.getDate();
        var mes = data.getMonth();
        var ano = data.getFullYear();
        var str_data = dia + '/' + (mes + 1) + '/' + ano;
        $('.datas').daterangepicker({
            singleDatePicker: true,
            minDate: str_data,
               
            locale: {
                format: 'DD-MM-YYYY',
                "fromLabel": "De",
                "toLabel": "Até",
                "customRangeLabel": "Custom",
                 "autoApply": true,
                "daysOfWeek": [
                    "Dom",
                    "Seg",
                    "Ter",
                    "Qua",
                    "Qui",
                    "Sex",
                    "Sáb"
                ],
                "monthNames": [
                    "Janeiro",
                    "Fevereiro",
                    "Março",
                    "Abril",
                    "Maio",
                    "Junho",
                    "Julho",
                    "Agosto",
                    "Setembro",
                    "Outubro",
                    "Novembro",
                    "Dezembro"
                ],
                "firstDay": 0
            }
        }, function (start, end, label) {});
});
</script>



 
            <script async src="https://www.googletagmanager.com/gtag/js?id=AW-1036809317"></script>
            <script>
              window.dataLayer = window.dataLayer || [];
                function gtag(){dataLayer.push(arguments);}
                gtag('js', new Date());

                gtag('config', 'AW-1036809317');

            </script>


     
       

<!-- Event snippet for Cadastros Imazon Cursos conversion page -->
<script>
    gtag('event', 'conversion', {'send_to': 'AW-1036809317/GkVxCPqM_4ABEOXose4D'});
</script>

<script>
         var url_envio = '<?php echo base_url(); ?>sendTokenToServer';
</script>

<script src="<?php echo ROOT_URL; ?>Token/fcm.js"></script>
<script type="text/javascript"></script>

<style>
    .form-troca{
        display:none;
        
        
    }
    
    
</style>
<style>
    /* The customcheck */
.customcheck {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox */
.customcheck input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}


/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #999;
    border-radius: 5px;
}

@media (max-width: 480px) {
.alterar-data-matricula{
    width: 100%; 
}

@media (max-width: 480px) {
.alterar-data-conclusao{
    width: 100%; 
}

.mais-carga-horaria_bt{
    width: 250%; 
    
}
}
/* On mouse-over, add a grey background color */
.customcheck:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.customcheck input:checked ~ .checkmark {
    background-color: #02cf32;
    border-radius: 5px;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.customcheck input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.customcheck .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

#item_area{
    height: 50px;
}

#box-interesses
{
    padding-top: 3px;
}
</style>
<style>
    .conteudo-pagina {
/*        max-width: 1070px;
        padding: 20px 0px 25px 0px;
        z-index: 3;
        background-color: #fff;
        margin-left: 5px;*/
        max-width: 100%;
        padding: 20px 0px 25px 0px;
        z-index: 3;
        background-color: #fff;
        margin-left: 5px;
        width: 100%;
    }
    
</style>
<link rel="stylesheet" href="<?php echo ROOT_URL; ?>jquery-ui/jquery-ui.css">

<script src="<?php echo ROOT_URL; ?>jquery-ui/jquery-ui.js"></script>

 
<div class="row">
    <div class="col-md-12">
        <!--<div class="blank_35"></div>-->
        <div class="conteudo-direito" id="cursos">
            
            <?php 
            $count_area_aluno=99;
            if($cursos == null){
              redirect('cursos');  
            }
            
            
            
            if($count_area_aluno>0){ ?>
            <a href="<?=base_url('cursos')?>">CLIQUE AQUI PARA SE MATRICULAR </a>   
           <a href="<?=base_url('cursos')?>" class="btn btn-default mais-carga-horaria">Matricular</a>
            <br> <br>
            <?php } ?>
            <?php //echo $paginacao ?>
            <?php
             //echo '<pre>';var_dump($this->session->userdata());die;

            if ($cursos == null || $count_area_aluno==0)
            {
                if($count_area_aluno==0)
                { ?>
                    <script>fbq('track', 'CompleteRegistration');</script>
                    <?php echo '<div id="box-interesses" class="container-fluid jumbotron">
                            <form class="form-horizontal" method="POST" action="'. base_url().'aluno/Curso/area_aluno">
                            ';

                            if($origem_cadastro)
                            {
                                echo '<div class="feedback-update-celular"></div>
                                    <div class="form-inline text-center" id="aluno_fb_go">
                                    <h4>Informe seu Número telefonico para que possa receber notificaçoẽs.</h4>
                                <div class="form-group">
                                  <label for="">Número de Celular:</label>
                                  <input required type="tel" class="form-control" name="celular_aluno" id="cel_aluno" maxlength="14" placeholder="(00)000000000" onkeyup="mascaraTel(this)">
                                </div>'
                                .  //<button type="submit" class="btn btn-primary mais-carga-horaria" id="id_cel_aluno">Salvar</button>
                                '<br>
                                <div class="form-group form-check">
                                  <input type="checkbox" class="form-check-input" id="receberMensagensPublicitarias" name="receberMensagensPublicitarias" value="aceito" checked="checked" />
                                  <label class="form-check-label" for="receberMensagensPublicitarias">Gostaria de receber promoções por SMS, Push e Email</label>
                                </div>
                            </div>';
                            }

                    echo   '<h4>Marque suas áreas de interesse e clique em continuar.</h4>
<button type="submit" class="btn btn-default mais-carga-horaria">Continuar</button>
                            <div class="row">
                            

                                <div class="checkbox-group areas">
                            ';
                    foreach ($area_curso as $area)
                    {
                        echo '<div id="item_area" class="col-xs-12 col-md-3" style="font-size:10px; height: 25px; ">
                                  
                                        <label style="font-size:14px;">'.$area['nome'].'
                                          <input required="" type="checkbox" class="" id="area'.$area['nome'].'" name="areas[]" value="'.$area['id_area'].'">
                                          
                                        </label>
                                    
                                </div>';
                    }
                   echo '</div>
                       <div class="col-xs-12 col-md-12" align="center">
                                <br>
                                    <button type="submit" class="btn btn-default mais-carga-horaria">Continuar</button>
                                </div>
                            </form>
                        </div>
                        </div>';
                }
                else
                {
                    echo '<div class="jumbotron">
                                    <h1>Matricule-se</h1>
                                    <p>Parabéns, seu cadastro foi realizado com sucesso!</p>

                                    <p>Matricule-se em nossos cursos clicando no botão abaixo.</p>
                                    <p><a class="btn btn-primary btn-lg" href="' . base_url() . 'cursos" role="button">Matricular</a></p>
                                  </div>';
                }

              

            }
            else
            {

                foreach ($cursos as $c) {
                    if( isset($c->id_curso_externo) && !empty( trim($c->id_curso_externo) ) )
                    {
                        $url = $c->imagem;
                    }
                    else
                    {

                        $url = null;
						if (is_string($c->imagem) && $c->imagem !== "") {
							if (strpos($c->imagem, 'http') === FALSE) {
								$c->imagem = ROOT_URL . 'imgs/cursos/' . $c->imagem;
				}  {
								stream_context_set_default(
									[
										'http' => [
											'method' => 'HEAD'
										]
									]
								);
								$headers = get_headers($c->imagem, 1);

					if ($headers === FALSE) {
									$url = ROOT_URL . 'imgs/sem-foto.png';
					} else {
									//echo json_encode($headers);
									if (
										strpos($headers[0], '200 OK') !== FALSE &&
										strpos($headers['Content-Type'], 'image/') !== FALSE
									) {
										$url = $c->imagem;
									} else {
										$url =  'https://www.imazoncursos.com.br/imgs/cursos/sem-foto.png';
						}
								}
							}
						} else {
							$url = 'https://www.imazoncursos.com.br/imgs/cursos/sem-foto.png';
			}
                    }

                   $matricula = '';
		if (1==1)
		{
			if (((int) $c->situacao) === 0 || ((int) $c->situacao) === 9)
			{
				/** @todo (Des)comentar essa linha?
				  $hoje = new \DateTime('now');
				  $data_matricula = new \DateTime($c->data_matricula);
				  if ($data_matricula < $hoje)
				  {
				  $c->data_matricula = $hoje;
				  }
				  // */
				//echo date("d/m/Y", strtotime($c->data_matricula));
                                
                                $btmatricula='<a href="#' . codifica($c->matricula) . '" class="btn btn-default alterar-data-matricula" style="margin-top:10px" tdi="' . codifica($c->matricula) . '"> Alterar Data Início</a><a href="#' . codifica($c->matricula) . '" class="btn btn-default alterar-data-conclusao" style="margin-top:10px" tdi="' . codifica($c->matricula) . '"dataini="' .date('d/m/Y', strtotime('+' . ceil($c->carga_horaria / 8) . ' days', strtotime(date("d-m-Y", strtotime($c->data_matricula))))). '"datafim="' .date('d/m/Y', strtotime('+90 days', strtotime(date("d-m-Y", strtotime($c->data_matricula))))). '"> Alterar Data de Conclusão</a>';
                            
				$matricula =  'Data de Início: '.date("d/m/Y",strtotime($c->data_matricula)).'<br /> Data Conclusão: '.date("d/m/Y",strtotime($c->data_aprovacao)).'<br />';
			}
			else
			{
				$matricula =  'Data de Início: '.date("d/m/Y",strtotime($c->data_matricula)).'<br /> Data Conclusão: '.date("d/m/Y",strtotime($c->data_aprovacao)).'<br />' ;
			}
		}

                  

                   if( strtotime($c->data_matricula) > strtotime(date("Y-m-d")) )
                   {
                       $libera_curso = '';
                   }
                   else
                   {

                       if($situacao_cadastro)
                       {
                           $libera_curso = '<button data-toggle="modal" data-target="#exampleModal"  class="btn btn-default mais-carga-horaria" style="margin-top:10px">Iniciar Curso</button>';
                       }
                       else
                       {
                           $libera_curso = '<a href="' . base_url() . 'desbloquear_curso/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria liberar-curso" style="margin-top:10px">Iniciar Curso</a>';

				//** @todo (Des)comentar essa linha?
				if (ENVIRONMENT === 'development'):
								?>
										<script type="text/javascript">
					//						jQuery('#libera').on(
					//							'click',
					//							function mostrarModalDeConfirmacao() {
					//								confirm('Confira se a data de matrícula, o curso e ');
					//							}
					//						);
											function mostrarModalDeConfirmacao() {
																											return confirm('Confira se a data de matrícula (<?php echo date('d/m/Y',
																					   strtotime($c->data_matricula)); ?>), o curso ("<?php echo $c->nome; ?>") e a previsão para conclusão de curso (??/??/????) estão corretas. Isso não poderá ser alterado depois. Deseja continuar?');
																					}
										</script>
					<?php
					$libera_curso = '<a href="' . base_url() . 'desbloquear_curso/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria liberar-curso" onclick="return mostrarModalDeConfirmacao();">Iniciar Curso</a>';
									endif;
				//*/
			}

                   }
                   $btn_nova_matricula='<a href="https://www.imazoncursos.com.br/cursos_indicacao/'.$c->id_curso.'" target="_blank" style="margin-top:10px" class="btn btn-default mais-carga-horaria">Nova Matrícula</a>'
                           . '<a href="https://www.imazoncursos.com.br/suporte/" target="_blank" style="margin-top:10px" class="btn btn-default mais-carga-horaria">Suporte</a>'
                           . '<a href="https://www.imazoncursos.com.br/ganhe_dinheiro/" target="_blank" style="margin-top:10px" class="btn btn-default mais-carga-horaria">Ganhe Dinheiro</a>';
                    switch ((int) $c->situacao) {


                       case 0:
                            $btn_cancelar_curso='<a href="' . base_url() . 'cancelar_curso/' . codifica($c->id_historico) . '" onclick="return confirm(\'Deseja cancelar esta inscrição?\')"  style="margin-top:10px" class="btn btn-default mais-carga-horaria">Cancelar Curso</a>';
                            $btn_gerar_fatura = ' <div class="row">';
                            
                           $lik= '<a href="' .base_url("add_item_matricula") . "/" . codifica($c->id_curso). "/" . codifica($c->carga_horaria)  . "/" . codifica($c->matricula).'" style="margin-top:10px" class="btn btn-default mais-carga-horaria">Gerar Fatura</a>';
                            
                           $btn_gerar_fatura=$btn_gerar_fatura.$lik;
                          // echo $lik;
                            $situacao = 'Status: <span class="label label-warning">Aguardando Pagamento</span></p>'.
                                '<div class="col-md-12">'.$btn_gerar_fatura.$btn_nova_matricula.$btmatricula.$btn_cancelar_curso.'<button onclick="return get_form_transferencia(' . "'" . codifica($c->matricula) . "'" . ')" class="btn btn-default mais-carga-horaria" style="margin-top:10px">Transferir Curso</button> </div></div>';
			
                            break;
                        
                              

                        case 1:

                            if ($c->id_curso != 2861) {

                                if($situacao_cadastro)
                                {
                                    $situacao = 'Status: <span class="label label-info">Matriculado</span><div class="row"><div class="col-md-12"><a href="' . base_url() . 'estudar/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;" >Estudar</a>'.$btn_nova_matricula.'</div></div>';
                                }
                                else
                                {
                                    $situacao = 'Status: <span class="label label-info">Matriculado</span><div class="row"><div class="col-md-12"><a href="' . base_url() . 'estudar/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;">Estudar</a> '.$btn_nova_matricula.$aluno_vefiricado.'</div></div>';

                                }
                            }
                            if ($c->id_curso == 2861) {
                                $situacao = 'Status: <span class="label label-info">Matriculado</span><div class="row"><div class="col-md-12"><a href="' . base_url() . 'troca_curso/' . codifica($c->id_historico) . '" class="btn btn-default" >Usar Bonus</a>'.$btn_nova_matricula.'</div></div>';
				}


                            break;
                        case 2:
                            if($situacao_cadastro)
                            {
                                $situacao = 'Status: <span class="label label-success">Aprovado</span><div class="row"><div class="col-md-12"><a href="' . base_url() . 'estudar/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;">Certificado</a> '
                                        .'<a href="' . base_url() . 'declaracao_autenticidade/' . codifica($c->id)  . '" class="btn btn-default mais-carga-horaria"  target="_blank" style=" margin-top:10px;">Declaração de Autenticidade</a>'
                                        .$btn_nova_matricula.'</div></div>';
                            }
                            else
                            {
                                $situacao = 'Status: <span class="label label-success">Aprovado</span><div class="row"><div class="col-md-12"><a href="' . base_url() . 'estudar/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;">Certificado</a> '
                                        .'<a href="' . base_url() . 'declaracao_autenticidade/' . codifica($c->id)  . '" class="btn btn-default mais-carga-horaria" target="_blank" style=" margin-top:10px;">Declaração de Autenticidade</a> '
                                        .$aluno_vefiricado.$btn_nova_matricula.'</div></div>';

                            }
                            break;
                        case 3:
                            if($situacao_cadastro)
                            {
                                $situacao = 'Status: <span class="label label-danger">Reprovado</span><div class="row"><div class="col-md-12"><a href="' . base_url() . 'solicitar_segunda_chance/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;" >2ª Chance</a>'.$btn_nova_matricula.' </div></div>';
                            }
                            else
                            {
                                $situacao = 'Status: <span class="label label-danger">Reprovado</span><div class="row"><div class="col-md-12"><a href="' . base_url() . 'solicitar_segunda_chance/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;" >2ª Chance</a> '.$aluno_vefiricado.$btn_nova_matricula.'</div></div>';
                            }
                            break;
                        case 4:
                            //$situacao = 'Status: <span class="label label-danger">Jubilado</span> <span class="label label-success"><a href="' . base_url() . 'liberar_curso/' . codifica($c->id_historico) . '" title="Liberar curso"><i class="glyphicon glyphicon-ok"></i></a></span></p>';
                           
                            if($situacao_cadastro || $c->id_curso=="2861")
                            {
                                $situacao = 'Status: <span class="label label-danger">Jubilado</span>';
                            }
                            else
                            {
                                $situacao = 'Status: <span class="label label-danger">Jubilado</span>'
                                        . '<div class="row"><div class="col-md-12">'
                                        . '<a href="' . base_url() . 'site/gera_autenticacao_certificado_by_id/' . codifica($c->id)  . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;" >Certificado</a> '
                                        .'<a href="' . base_url() . 'declaracao_autenticidade/' . codifica($c->id)  . '" class="btn btn-default mais-carga-horaria"  target="_blank" style=" margin-top:10px;">Declaração de Autenticidade</a>'.$btn_nova_matricula. 
                                         '</div></div>';
                            }
                            
                            break;
                       case 9:

if($situacao_cadastro)
{
        $exprira="";              
        if($c->id_curso== '2861'){ 
        $exprira="<b>Use o Bônus até : ".date('d/m/Y', strtotime($c->data_matricula. ' + 90 days'))."</b>" ;
        }               
	//$situacao = 'Status: <span class="label label-info">Inscrito</span> <p><b>Por favor confirme se a data da matrícula e o curso estão corretos. Após liberar o curso você não poderá trocar de curso ou alterar a data de matrícula através da área do aluno.</b></p> <p><a href="' . base_url() . 'troca_curso/' . codifica($c->id_historico) . '" class="btn btn-danger mais-carga-horaria" title="Trocar curso">Trocar Curso</a> ' . $libera_curso . ' <button onclick="return get_form_transferencia(' . "'" . codifica($c->matricula) . "'" . ')" class="btn btn-default mais-carga-horaria" style="/* float: right; *//* margin-top: -65px; */">Transferir Curso <span class="glyphicon glyphicon-share-alt"></span></button>';
	$situacao = $exprira.'<br>Status: <span class="label label-info">Inscrito </span> '
                . '<p><b>Após iniciar o curso você não poderá trocar de curso ou alterar as datas.</b></p>'
        . '<div class="row"><div class="col-md-12">'.$libera_curso.$btn_nova_matricula.'<button data-toggle="modal" data-target="#exampleModal"  class="btn btn-default mais-carga-horaria" style="margin-top:10px">Declaração</button>'
        . '<a href="' . base_url() . 'troca_curso/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" title="Trocar curso" style="margin-top:10px">Trocar Curso</a>' 
        . '<button onclick="return get_form_transferencia(' . "'" . codifica($c->matricula) . "'" . ')" class="btn btn-default mais-carga-horaria" style="margin-top:10px">Transferir Curso</button>' . $aluno_vefiricado.$btmatricula.'</div></div>';			
        
}
else
{
if( isset($aluno_vefiricado) )
{
$aluno_vefiricado = '<button title="Presentear seu Amigo(a)" value="'.codifica($c->matricula).'" data-toggle="modal" data-target="#presenteModal" class="btn btn-default mais-carga-horaria btn-nove"><span class="glyphicon glyphicon-gift"></span></button>';
}
$exprira="";              
        if($c->id_curso== '2861'){ 
        $exprira="<b>Use o Bônus até : ".date('d/m/Y', strtotime($c->data_matricula. ' + 90 days'))."</b>" ;
        }  
$situacao = $exprira.'<br>Status: <span class="label label-info">Inscrito </span> <p><b>Após iniciar o curso você não poderá trocar de curso ou alterar as datas.</b></p>'
        . '<div class="row"><div class="col-md-12">'.$libera_curso.$btn_nova_matricula.'<a href="' . base_url() . 'gerar_declaracao_web_inscrito/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" target="_blank" style="margin-top:10px;">Declaração</a>'
        . '<a href="' . base_url() . 'troca_curso/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" title="Trocar curso" style="margin-top:10px; " >Trocar Curso</a>'  
        . '<button onclick="return get_form_transferencia(' . "'" . codifica($c->matricula) . "'" . ')" class="btn btn-default mais-carga-horaria" style="margin-top:10px">Transferir Curso</button>' . $aluno_vefiricado.$btmatricula."</div></div>";
				}
if($c->id_curso == 2861)
{
    $exprira="";              
        if($c->id_curso== '2861'){ 
        $exprira="<b>Use o Bônus até : ".date('d/m/Y', strtotime($c->data_matricula. ' + 90 days'))."</b>" ;
        } 
	$situacao = $exprira.'<br>Status: <span class="label label-info">Inscrito</span> <div class="row"><div class="col-md-12">'.$btn_nova_matricula.'<a href="' . base_url() . 'troca_curso/' . codifica($c->id_historico) . '" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;">Trocar Curso</a> <button onclick="return get_form_transferencia(' . "'" . codifica($c->matricula) . "'" . ')" class="btn btn-default mais-carga-horaria" style=" margin-top:10px;">Transferir Curso</button></div></div>'.$btmatricula;
				}
break;
                        default:
                            $situacao = 0;
                            break;
                    }

		$periodo_avaliacao = '';

		//** @todo (Des)comentar essa linha?
		if (ENVIRONMENT === 'development')
		{
			if (in_array($c->situacao, ['0', '1', '9',]))
			{
				if ($c->id_curso !== '2861') //$c->nome !== 'BONUS'
				{
					$hoje = new \DateTime('today');
					$ultimoDiaParaAvaliacao = new DateTime($c->data_matricula . ' 00:00:00 +90 days'); // 23:59:59
					$numeroDeDiasParaLiberacaoDaProva = round($c->carga_horaria / 8);
					$dataProvaLiberada = new \DateTime($c->data_matricula . ' 00:00:00 +' . $numeroDeDiasParaLiberacaoDaProva . ' days');
					$dataMinimaAvaliacao = $dataProvaLiberada->format('d/m/Y');
					$dataMaximaAvaliacao = $ultimoDiaParaAvaliacao->format('d/m/Y');
					$periodo_avaliacao = 'Previsão do período de avaliação:<br />de ' . $dataMinimaAvaliacao . ' até ' . $dataMaximaAvaliacao . '<br />';

					if ($c->situacao === '1')
					{
						if ($hoje >= $dataMinimaAvaliacao)
						{
							if ($hoje > $dataMaximaAvaliacao)
							{
								$periodo_avaliacao = 'A avaliação está liberada até o dia ' . $dataMaximaAvaliacao . '<br />';
							}
							else
							{
								$periodo_avaliacao = 'Você perdeu o prazo para a avaliação<br />';
							}
						}
						else
						{
							$periodo_avaliacao = 'A avaliação será liberada em: ' . $dataMinimaAvaliacao . '<br />';
						}
					}
				}
			}
			else
			{
				if ($c->situacao !== '4')
				{
//					$concluidoEm = new \DateTime($c->data_matricula);
//					$dataDeConclusao = $concluidoEm->format('d/m/Y');
//					$periodo_avaliacao = 'Data de conclusão: ' . $dataDeConclusao . '<br />';
				}
			}
		}
		  // */
                $mensagem_bonus='';
                if ($c->id_curso == '2861'){
                    $mensagem_bonus=' (Para usar seu bônus basta clicar em Trocar Curso)';
                }

		echo '<div class="container-fluid" id="' . codifica($c->matricula) . '">
                             <div class="row well" >
                                <div class="col-xs-12 col-sm-12 col-md-3 col-lg-3">
                                <div class="media-left media-middle">
                                        <a href="cursos_matriculados">
                                            <img style="height: 150px;  width:100%;" class="media-object img-media" src="' . $url . '" alt="' . $c->nome . '">
                                        </a>
                                </div>
                                </div>
                                    <br>
                                    <div class="col-xs-12 col-sm-12 col-md-9 col-lg-9">
                                    <div class="media-body">
                                        '
                    . '<h4 class="media-heading">CURSO ' . $c->nome .$mensagem_bonus. '</h4> 

                                        <p>Carga horária: ' . $c->carga_horaria . ' horas<br />
                                           ' . '
                                           Matrícula: ' . $c->id_historico . '<br />
										' . $matricula . $periodo_avaliacao
		. $situacao . '<div class="col-md-12">
                                   <div class="form-group">
                                    <form style="display:none;"  method="post" action="'.base_url()."transfere_curso".'" class="form-inline '.codifica($c->matricula).'">
                                    
                                      <div class="form-group">
                                        <label for="email">Digite o e-mail que receberá o Curso:</label>
                                        <input type="email" class="form-control" id="email" placeholder="Enter email" name="email" required>
                                        <input type="hidden" id="id_fic_origem" name="ifo" value="'.codifica($c->id_fic).'">
                                        <input type="hidden" id="id_historico" name="ia"  value="'.codifica($c->matricula).'">
                                        <input type="hidden" id="email_origem" name="email_origem" value="'.codifica($c->emailaluno).'">     
                                      </div>
                                      <button type="submit" class="btn btn-default mais-carga-horaria '.codifica($c->matricula).'">Enviar <span class="glyphicon glyphicon-send"></span></button>
                                    </form>
                                    </div>
                                    </div>
                                    </div>
                                    </div>
                                   </div>
                                </div>';
                
                ?>
                    
                    <script type="text/javascript">
                       $(function () {
        $(".alterar-data-conclusao").on("click", function () {
            var tdi = $(this).attr("tdi");
            var dataini = $(this).attr("dataini");
            var datafim = $(this).attr("datafim");
            if (tdi) {
            $('[name="tdi<?= $c->id_historico ?>"]').val(tdi);
                $('[name="matricula<?= $c->id_historico ?>"]').val(dataini);
                $('[name="matriculafinal<?= $c->id_historico ?>"]').val(datafim);    
            
          var minDate = $("#dtinicial<?= $c->id_historico ?>").val();
          var maxDate = $("#dtfinal<?= $c->id_historico ?>").val();
        
        //var maxDate = $("#datadematricula_fim_").val();
//        var data = new Date();
//        var dia = data.getDate();
//        var mes = data.getMonth();
//        var ano = data.getFullYear();
//        var str_data = dia + '/' + (mes + 1) + '/' + ano;
        $('.datasconclusao<?= $c->id_historico ?>').daterangepicker({
            
            singleDatePicker: true,
            minDate: minDate,
            maxDate: maxDate,
            autoApply: true,
                                      
               
            locale: {
                format: 'DD-MM-YYYY',
                "fromLabel": "De",
                "toLabel": "Até",
                "customRangeLabel": "Custom",
                 "autoApply": true,
                "daysOfWeek": [
                    "Dom",
                    "Seg",
                    "Ter",
                    "Quar",
                    "Qui",
                    "Sex",
                    "Sáb"
                ],
                "monthNames": [
                    "Janeiro",
                    "Fevereiro",
                    "Março",
                    "Abril",
                    "Maio",
                    "Junho",
                    "Julho",
                    "Agosto",
                    "Setembro",
                    "Outubro",
                    "Novembro",
                    "Dezembro"
                ],
                "firstDay": 0
            }
        }, function (start, end, label) {});
                
                
                $("#modalAlteraDataConclusao").modal("show");
                
            }
            return false;
        });
    }); 
                        

</script>

<div class="modal fade" tabindex="-1" role="dialog" id="modalAlteraDataConclusao" aria-labelledby="modalAlteraDataConclusao" aria-hidden="true" style=" margin-top: 0px;">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title">Alterar Data de Conclusao</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="formAlterarDataConclusao" method="post" action="<?php echo base_url(); ?>alteraDataConclusao">
                <div class="modal-body">
                    <p>Selecione e Aplique a nova :
                        <input type="text" name="dataNova" name="datefilter" class="datasconclusao<?= $c->id_historico ?>">
                        <input type="hidden" name="matricula<?= $c->id_historico ?>" id="dtinicial<?= $c->id_historico ?>" value="">
                        <input type="hidden" name="matriculafinal<?= $c->id_historico ?>" id="dtfinal<?= $c->id_historico ?>" value="">
                        
                    </p>
                    <input type="hidden" name="tdi<?= $c->id_historico ?>">
                    
                    
                    
                </div>
                
            
      </div>
      <div class="modal-footer">
          <button type="submit" class="btn btn-default">Salvar</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
        </form>
      </div>
    </div>
  </div>
</div>
                   
                    
<?php
                
                }
                
                }
            ?>
        </div>
         <?php echo $paginacao ?>
        </div>
    
       
    <div class="form-group"> <br><br>&nbsp</div>
       
    </div>
</div>
</div>
</div>
</div>
 





<div class="modal fade" tabindex="-1" role="dialog" id="modalAlteraDataMatricula" aria-labelledby="modalAlteraDataMatricula" aria-hidden="true" style=" margin-top: 0px;">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title">Alterar Data de Matricula</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="formAlterarDataMatricula" method="post" action="<?php echo base_url(); ?>alteraDataMatricula">
                <div class="modal-body">
                    <p>Selecione e Aplique a nova :
                        <input type="text" name="dataNova" name="datefilter" class="datas">
                        
                    </p>
                    <input type="hidden" name="tdi">
                    
                    
                    
                </div>
                
            
      </div>
      <div class="modal-footer">
          <button type="submit" class="btn btn-default">Salvar</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
        </form>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
        <h4 class="modal-title" id="exampleModalLabel">Para liberação do Curso é necessário informar o CPF</h4>
      </div>
      <p class="alert-situacao"></p>
      <div class="modal-body">
          <form id="form-situacao-cadastro-aluno" method="POST" onsubmit="event.preventDefault();">
            <div class="form-group">
                <label for="cpf">Digite seu CPF</label>
                <input required pattern="[0-9]+$" type="tel" class="form-control" id="InputCPF" minlength="11" maxlength="11" placeholder="Digite seu CPF (apenas números)">
            </div>
            <div class="modal-footer">
              <p class="left-align">O nome que aparecerá no certificado sera igual ao cadastrado no CPF</p>

              <button type="button" class="btn btn-danger" data-dismiss="modal">Fechar</button>
              <button type="submit" class="btn btn-primary modal-salvar" disabled>Salvar</button>

            </div>
       </form>
      </div>
    </div>
  </div>
</div>

<!-- Modal presentear-->
<div class="modal fade" id="presenteModal" tabindex="-1" role="dialog" aria-labelledby="presenteModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
        <h4 class="modal-title" id="presenteModalLabel">Presenteie este Curso</h4>
      </div>
      <p class="alert-situacao"></p>
      <div class="modal-body">
          <form method="POST" onsubmit="event.preventDefault();">
            <div class="form-group">
                <label for="cpf">Digite o CPF de quem será presenteado</label>
                <input required pattern="[0-9]+$" type="tel" class="form-control" id="presenteCPF" minlength="11" maxlength="11" placeholder="Digite o CPF do seu amigo (apenas números)">
            </div>
            <div class="form-group">
                <label for="email">Digite o E-mail de quem será presenteado</label>
                <input required type="email" class="form-control" id="presenteEmail" placeholder="Digite o E-mail de quem será presenteado">
            </div>
              <input type="hidden" value="" name="presenteCurso">
            <div class="modal-footer">
              <p class="text-left">Só será possível presentear novos alunos(as) que não possuam matrícula.</p>
              <p class="text-left">Não se preocupe, o curso permanecerá em seu cadastro.</p>

              <button type="button" class="btn btn-danger" data-dismiss="modal">Fechar</button>
              <button type="submit" class="btn btn-primary enviar-curso" disabled>Enviar Curso <span class="glyphicon glyphicon-send"></span></button>


            </div>
       </form>
      </div>
    </div>
  </div>
</div>

<script>
    function mascaraData(val) {
  var pass = val.value;
  var expr = /[0123456789]/;

  for (i = 0; i < pass.length; i++) {
    // charAt -> retorna o caractere posicionado no índice especificado
    var lchar = val.value.charAt(i);
    var nchar = val.value.charAt(i + 1);

    if (i == 0) {
      // search -> retorna um valor inteiro, indicando a posição do inicio da primeira
      // ocorrência de expReg dentro de instStr. Se nenhuma ocorrencia for encontrada o método retornara -1
      // instStr.search(expReg);
      if ((lchar.search(expr) != 0) || (lchar > 3)) {
        val.value = "";
      }

    } else if (i == 1) {

      if (lchar.search(expr) != 0) {
        // substring(indice1,indice2)
        // indice1, indice2 -> será usado para delimitar a string
        var tst1 = val.value.substring(0, (i));
        val.value = tst1;
        continue;
      }

      if ((nchar != '-') && (nchar != '')) {
        var tst1 = val.value.substring(0, (i) + 1);

        if (nchar.search(expr) != 0)
          var tst2 = val.value.substring(i + 2, pass.length);
        else
          var tst2 = val.value.substring(i + 1, pass.length);

        val.value = tst1 + '-' + tst2;
      }

    } else if (i == 4) {

      if (lchar.search(expr) != 0) {
        var tst1 = val.value.substring(0, (i));
        val.value = tst1;
        continue;
      }

      if ((nchar != '-') && (nchar != '')) {
        var tst1 = val.value.substring(0, (i) + 1);

        if (nchar.search(expr) != 0)
          var tst2 = val.value.substring(i + 2, pass.length);
        else
          var tst2 = val.value.substring(i + 1, pass.length);

        val.value = tst1 + '-' + tst2;
      }
    }

    if (i >= 6) {
      if (lchar.search(expr) != 0) {
        var tst1 = val.value.substring(0, (i));
        val.value = tst1;
      }
    }
  }

  if (pass.length > 10)
    val.value = val.value.substring(0, 10);
  return true;
}
    </script>


<script>
    
       
	jQuery('#liberar-curso').on('click', function (event) {
		event.preventDefault();
		alert('Liberar curso!');
	});
$(".btn.btn-warning.mais-carga-horaria").click( function(){
    $('#presenteCPF').val('');
    $('#presenteEmail').val('');
    $('.alert-situacao').hide();

    var id_presente = $(this).val();

    $("input[name*='presenteCurso']").val(id_presente);
});

$('#presenteCPF').on('input', function () {
        $(this).val($(this).val().replace(/[^0-9]/g, ""));
});

$('#presenteCPF').on('keyup touchend', function(){
    var base_url = "<?php echo base_url(); ?>";
    var cpf= $(this).val();

    if(cpf.length==11)
    {

        $.ajax({
            method: "POST",
            url: base_url+"Site/valida_cpf",
            data: { cpf: cpf},
            success: function(response) {

                resposta = JSON.parse(response);

                if (resposta.status==1) {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert.alert-warning").remove();

                } else if(resposta.status==0) {
                    $('.enviar-curso').prop('disabled', true);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+resposta.mensagem+'</div>');
                }
            }
        });
    }
    else
    {
        $('.enviar-curso').prop('disabled', true);
    }

});

$('button.enviar-curso').click(function () {

    var base_url = "<?php echo base_url();?>";
    var presenteEmail = $('#presenteEmail').val();
    var presenteCPF = $('#presenteCPF').val();

    var id_presente = $("input[name*='presenteCurso']").val();

    if(presenteCPF==='' && presenteEmail==='')
    {
        //$('.alert-situacao').html('<div class="alert alert-default">Digite o seu CPF</div>');
    }
    else if(presenteCPF.trim().length>=11){


        $.ajax({
            method: "POST",
            url: base_url+"aluno/Curso/presentear",
            dataType: 'json',
            data: { inputCPF: presenteCPF, inputEmail: presenteEmail, inputPresente:id_presente},
            beforeSend: function() {
                $('.enviar-curso').prop('disabled', true);
                $('.alert-situacao').html('<div class="alert alert-default"><strong>Enviando...</strong></div>');
            },
            success:function (response) {
                console.log(response);
                if(response.status==1)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-success">'+response.mensagem+' </div>');
                    setTimeout(function(){ location.reload(); }, 3000);
                }
                else if(response.status==2)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-danger">'+response.mensagem+'</div>');
                }
                else if(response.status==3)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==4)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==5)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==6)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==7)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==8)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-danger">'+response.mensagem+'</div>');
                }
                else if(response.status==0)
                {
                    $('.enviar-curso').prop('disabled', false);
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-info">'+response.mensagem+'</div>');
                }
                else
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').show();
                    $('.alert-situacao').html('<div class="alert alert-danger">Problemas com a requisição</div>');
                    setTimeout(function(){ location.reload(); }, 3000);
                }

            },
            complete: function (data) {
                completeAjax();
            }
    });

    }
});
</script>

<script>


    function mascaraTel(text) {
        var mask = '(00) 000000000';
        var value = text.value;
        var literalPattern = /[0\*]/;
        var numberPattern = /[0-9]/;
        var newValue = "";
        for (var vId = 0, mId = 0; mId < mask.length; ) {
            if (mId >= value.length)
                break;
            if (mask[mId] === '0' && value[vId].match(numberPattern) === null) {
                break;
            }
            while (mask[mId].match(literalPattern) === null) {
                if (value[vId] === mask[mId])
                    break;
                newValue += mask[mId++];
            }
            newValue += value[vId++];
            mId++;
        }
        text.value = newValue;
    }



    $("#id_cel_aluno").click( function(){

    var base_url = "<?php echo base_url();?>";
    var celular_aluno = $("#cel_aluno").val();

    if(celular_aluno.trim() !="")
    {

        $.ajax({
                method: "POST",
                url: base_url+"aluno/Curso/add_celula_aluno",
                dataType: 'json',
                data: {celular_aluno:celular_aluno},
                beforeSend: function() {
                },
                success:function (response) {
                   console.log(response);

                   if(response['status']==1)
                   {
                       $('.feedback-update-celular').html('<div class="alert alert-success">'+response['mensagem']+'</div>');

                       setTimeout(function(){
                                     $(".feedback-update-celular").hide("slide", {direction: "right" }, "slow");
                                     $("#aluno_fb_go").hide("slide", {direction: "right" }, "slow");

                                    }, 3000);
                   }
                   else if(response['status']==0)
                   {
                      $('.feedback-update-celular').html('<div class="alert alert-warning">'+response['mensagem']+'</div>');
                   }
                   else if(response['status']==2)
                   {
                        $('.feedback-update-celular').html('<div class="alert alert-warning">'+response['mensagem']+'</div>');
                   }

                }
        });
    }

    });

</script>

<script>

$(function(){
    var requiredCheckboxes = $('.areas :checkbox[required]');
    requiredCheckboxes.change(function(){
        if(requiredCheckboxes.is(':checked')) {
            requiredCheckboxes.removeAttr('required');
        } else {
            requiredCheckboxes.attr('required', 'required');
        }
    });
});

</script>
<script>

$('#InputCPF').on('keyup touchend', function(){
    var base_url = "<?php echo base_url(); ?>";
    var cpf= $(this).val();

    if(cpf.length==11)
    {

        $.ajax({
            method: "POST",
            url: base_url+"Site/valida_cpf",
            data: { cpf: cpf},
            success: function(response) {

                resposta = JSON.parse(response);

                if (resposta.status==1) {
                    $('.modal-salvar').prop('disabled', false);
                    $(".alert.alert-warning").remove();

                } else if(resposta.status==0) {
                    $('.modal-salvar').prop('disabled', true);
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+resposta.mensagem+'</div>');
                }
            }
        });
    }
    else
    {
        $('.modal-salvar').prop('disabled', true);
    }

});
</script>

<script>

$('#InputCPF').on('input', function () {
        $(this).val($(this).val().replace(/[^0-9]/g, ""));
});

$('button.modal-salvar').click(function () {

    var base_url = "<?php echo base_url();?>";
    var inputCPF = $('#InputCPF').val();
    var id = "<?php echo codifica($cursos[0]->id_fic) ;?>"

    function completeAjax()
    {

    }

    if(inputCPF==='')
    {
        //$('.alert-situacao').html('<div class="alert alert-default">Digite o seu CPF</div>');
    }
    else if(inputCPF.trim().length>=11){

    $.ajax({
            method: "POST",
            url: base_url+"aluno/Curso/update_situacao_cadastro",
            dataType: 'json',
            data: { inputCPF: inputCPF, id: id },
            beforeSend: function() {
                $('.alert-situacao').html('<div class="alert alert-default">Aguarde...</div>');
            },
            success:function (response) {
                //console.log(response);
                if(response.status==1)
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-success">'+response.mensagem+' Aguarde...</div>');
                    setTimeout(function(){ location.reload(); }, 2000);

                }
                else if(response.status==2)
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-danger">'+response.mensagem+'</div>');
                }
                else if(response.status==3)
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==4)
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==5)
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-warning">'+response.mensagem+'</div>');
                }
                else if(response.status==0)
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-info">'+response.mensagem+'</div>');
                }
                else
                {
                    $(".alert-default").remove();
                    $('.alert-situacao').html('<div class="alert alert-info">Problema inesperado na Requisição</div>');
                    setTimeout(function(){ location.reload(); }, 2000);
                }

            },
            complete: function (data) {
                completeAjax();
            }
    });

    }
});

function get_form_transferencia(id)
{
    $("."+id+"").show("slide", {direction: "right" }, "slow");

    $("button."+id).click( function(){

        var form= $("form."+id+"").serialize();

        var confirma = confirm("Ao realizar esta transferencia este curso deixará de fazer parte de seu Histórico. Confirma a Trasnferencia?");
        if (confirma == true) {

            transferir_curso(form, id);
            $("button."+id).prop('disabled', true);
        } else {

        }

        } );

}



function transferir_curso(form, id)
{
    var resposta = $.post('<?php echo base_url(); ?>aluno/Curso/transfere_curso', form, function (response) {

        var response =  JSON.parse(response);

        if(response.status==1)
        {
            alert(response.msg);
            $("#"+id).hide("slide", {direction: "right" }, "slow");
        }
        else if(response.status==2)
        {
            alert(response.msg);
            location.reload();
        }
        else if(response.status==3)
        {
            alert(response.msg);
            location.reload();
        }
        else if(response.status==0)
        {
            alert(response.msg);
            location.reload();
        }
        else
        {
            location.reload();
        }

    });

}


</script>
